Telegram APIChannels
channels.getAdminLog
Get the admin log of a channel/supergroup
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Get the admin log of a channel/supergroup
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.getAdminLog" \ -H "Content-Type: application/json" \ -d '{ "params": { "channel": { "_": "inputChannelEmpty" }, "q": "string", "maxId": "string", "minId": "string", "limit": 0 } }'{ "result": { "_": "channels.adminLogResults", "events": [ { "_": "channelAdminLogEvent", "id": "string", "date": 0, "userId": 0, "action": { "_": "channelAdminLogEventActionChangeTitle", "prevValue": "string", "newValue": "string" } } ], "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getAdminedPublicChannels
Get [channels/supergroups/geogroups](https://core.telegram.org/api/channel) we're admin in. Usually called when the user exceeds the `RawConfig` for owned public [channels/supergroups/geogroups](https://core.telegram.org/api/channel), and the user is given the choice to remove one of their channels/supergroups/geogroups.
getChannelRecommendations
Obtain a list of similarly themed public channels, selected based on similarities in their subscriber bases.